
#ifndef RTE_PWM_H
#define RTE_PWM_H

#include "TYW_stdint.h"

void PWM_Init(void);
void PWM_Channel_Init(uint8_t Ch, uint8_t ClkSrc, uint8_t Pol, uint8_t Cae, uint8_t IOSel);
void PWM_Channel_Set_Freq(uint8_t Ch, uint32_t Freq);
void PWM_Channel_Set_Duty(uint8_t Ch, uint32_t Duty);
void PWM_Channel_Stop(uint8_t Ch);

#endif
